Skip to main content
`Ctrl`+`K`

# TaoPythonGetType

Get the type of a `Tao` object implemented in Python.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoPythonGetType(Tao tao, const char *pyname[])

Not Collective

## Input Parameter

- tao - the optimization solver (`Tao`) context.

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

`TaoCreate()`, `TaoSetType()`, `TaoPYTHON`, `PetscPythonInitialize()`, `TaoPythonSetType()`

## Level

intermediate

## Location

src/tao/python/pythontao.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages